Bug 197606 - avahi-daemon AVC denials with nss_ldap
avahi-daemon AVC denials with nss_ldap
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 11:07 EDT by Joachim Selke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3.7-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 12:07:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit log (1.30 KB, text/plain)
2006-07-04 11:07 EDT, Joachim Selke
no flags Details

  None (edit)
Description Joachim Selke 2006-07-04 11:07:32 EDT
Description of problem:
When nss_ldap is enabled, avahi-daemon generates a large number of AVC denials
(logfile attached) when started (start by "service avahi-daemon restart" failes).


Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.2.47-3.fc5
avahi-0.6.10-1.FC5


Additional info:
This bug should be added to the SELinux/nss_ldap tracking bug #192555.
Comment 1 Joachim Selke 2006-07-04 11:07:32 EDT
Created attachment 131907 [details]
audit log
Comment 2 Daniel Walsh 2006-07-11 14:18:19 EDT
Fixed in selinux-policy-2.3.2-2
Comment 3 Joachim Selke 2006-08-01 10:32:12 EDT
I can confirm that the bug is fixed in selinux-policy-targeted-2.3.3-8.fc5. Thanks.

But now I got another problem. For the encrypted LDAP connection on our systems
access to the certificate bundle file /etc/pki/tls/certs/ca-bundle.crt is
required. This currently is denied by SELinux and should be allowed:

type=AVC msg=audit(1154442914.453:54): avc:  denied  { search } for  pid=2841
comm="avahi-daemon" name="pki" dev=dm-0 ino=9535525
scontext=root:system_r:avahi_t:s0 tcontext=system_u:object_r:cert_t:s0 tclass=dir
type=SYSCALL msg=audit(1154442914.453:54): arch=40000003 syscall=5 success=no
exit=-13 a0=917e278 a1=8000 a2=1b6 a3=919f6a8 items=1 pid=2841 auid=0 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) comm="avahi-daemon"
exe="/usr/sbin/avahi-daemon" subj=root:system_r:avahi_t:s0
type=CWD msg=audit(1154442914.453:54):  cwd="/"
type=PATH msg=audit(1154442914.453:54): item=0
name="/etc/pki/tls/certs/ca-bundle.crt" obj=system_u:object_r:etc_t:s0
type=AVC msg=audit(1154442914.457:55): avc:  denied  { search } for  pid=2841
comm="avahi-daemon" name="pki" dev=dm-0 ino=9535525
scontext=root:system_r:avahi_t:s0 tcontext=system_u:object_r:cert_t:s0 tclass=dir
type=SYSCALL msg=audit(1154442914.457:55): arch=40000003 syscall=5 success=no
exit=-13 a0=917e278 a1=8000 a2=1b6 a3=919fa58 items=1 pid=2841 auid=0 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) comm="avahi-daemon"
exe="/usr/sbin/avahi-daemon" subj=root:system_r:avahi_t:s0
type=CWD msg=audit(1154442914.457:55):  cwd="/"
type=PATH msg=audit(1154442914.457:55): item=0
name="/etc/pki/tls/certs/ca-bundle.crt" obj=system_u:object_r:etc_t:s0
Comment 4 Joachim Selke 2006-10-21 12:07:00 EDT
Fixed in selinux-policy-targeted-2.3.7-2.fc5. Thanks.

Note You need to log in before you can comment on or make changes to this bug.